## ignition-transport11 11.0.0

=== debian/changelog ===
ignition-transport11 (11.0.0-1~buster) buster; urgency=medium

  * ignition-transport11 11.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 29 Sep 2021 14:14:44 +0200

ignition-transport11 (11.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-transport11 11.0.0~pre1-2 release

 -- Carlos Aguero <caguero@openrobotics.org>  Sat, 18 Sep 2021 00:12:16 +0200

ignition-transport11 (11.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-transport11 11.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 15 Sep 2021 23:48:20 +0200

ignition-transport11 (10.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:45 -0700
