## ignition-transport11 11.2.0

=== debian/changelog ===
ignition-transport11 (11.2.0-3~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 11:13:25 -0700

ignition-transport11 (11.2.0-2~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 10:25:01 -0700

ignition-transport11 (11.2.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:59:48 -0700

ignition-transport11 (11.1.0-7~focal) focal; urgency=medium

  * ignition-transport11 11.1.0-7 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 07 Jun 2022 08:24:46 -0700

ignition-transport11 (11.1.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 06 Jun 2022 10:00:14 -0700

ignition-transport11 (11.0.0-1~focal) focal; urgency=medium

  * ignition-transport11 11.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 29 Sep 2021 14:14:44 +0200

ignition-transport11 (11.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-transport11 11.0.0~pre1-2 release

 -- Carlos Aguero <caguero@openrobotics.org>  Sat, 18 Sep 2021 00:12:16 +0200

ignition-transport11 (11.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-transport11 11.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 15 Sep 2021 23:48:20 +0200

ignition-transport11 (10.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:45 -0700
