=== debian/control ===
Source: ignition-transport11
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               python3,
               ruby-ronn,
               libprotoc-dev,
               libprotobuf-dev,
               libignition-msgs8-dev,
               libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
               libignition-tools-dev,
               libignition-utils1-cli-dev,
               libignition-utils1-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libsqlite3-dev
Vcs-Browser: https://github.com/gazebosim/gz-transport
Vcs-Git: https://github.org/gazebo-release/gz-transport11-release
Standards-Version: 4.5.1
Homepage: https://github.com/gazebo-release/gz-transport

Package: libignition-transport11-core-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libignition-msgs8-dev,
         libignition-cmake2-dev (>= 2.13.0),
         libignition-tools-dev,
         libignition-utils1-cli-dev,
         libignition-utils1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: libignition-transport-dev (<= 11.0.0+ds-3),
        ignition-transport-cli (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3),
        ignition-transport-cli (<= 11.0.0+ds-3)
Multi-Arch: same
Description: Gazebo transport Library - Core Dev files
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo transport core development files

Package: libignition-transport11
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport11-11 (<= 11.0.0+ds-3)
Replaces: libignition-transport11-11 (<= 11.0.0+ds-3)
Description: Gazebo Transport Library - Shared library
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo transport libraries

Package: libignition-transport11-log-dev
Architecture: any
Section: libdevel
Depends: libsqlite3-dev,
         libignition-cmake2-dev (>= 2.13.0),
         libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport-dev (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3)
Description: Gazebo transport Library - Core Dev
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the Gazebo core development libraries

Package: libignition-transport11-log
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Transport Library - Log Shared library
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the log shared library

Package: ignition-transport11-cli
Architecture: any
Depends: libignition-transport11 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: no
Description: Gazebo transport Library - CLI
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the CLI.

Package: libignition-transport11-dev
Architecture: any
Section: libdevel
Depends: libignition-transport11-core-dev (= ${binary:Version}),
         libignition-transport11-log-dev (= ${binary:Version}),
         ignition-transport11-cli,
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-transport-dev (<= 11.0.0+ds-3)
Replaces: libignition-transport-dev (<= 11.0.0+ds-3)
Description: Gazebo transport Library - Metapackage
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The is a metapackage for all development files

Package: libignition-transport11-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport11 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Debugging symbols
 Gazebo transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the debugging symbols

Package: libgz-transport11-core-dev
Depends: libignition-transport11-core-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11
Depends: libignition-transport11 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-log-dev
Depends: libignition-transport11-log-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-log
Depends: libignition-transport11-log (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: gz-transport11-cli
Depends: ignition-transport11-cli (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-dev
Depends: libignition-transport11-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport11-dbg
Depends: libignition-transport11-dbg (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
